/*
  Copyright (C) MOXA Inc. All rights reserved.
  This software is distributed under the terms of the
  MOXA License.  See the file COPYING-MOXA for details.
*/

/******************************************************************************
File Name : usbcf-demo.c

Description :
	This is a example program to show how to detect the USB/CF storage plugin or
  unplug. And check it mounts OK or fail.

Usage :
	1.Compile this file and execute on UC7400/DA-600 series.

History:
  Date		Author			Comment
  06-08-2006	AceLan Kao.		Library
*******************************************************************************/

#include	<stdio.h>
#include	"usbcf.h"

int	main(int argc, char *argv[])
{
	// check CF
	switch( CheckCF()) 
	{
		case STORAGE_PLUGIN :
			printf("CF plugin.\n");
			break;
		case STORAGE_UNPLUG :
			printf("CF unplug.\n");
			break;
		case STORAGE_MOUNT :
			printf("CF mount OK and free= %d\n", CFFree());
			break;
	}

	// check USB 0
	switch( CheckUSB(0)) 
	{
		case STORAGE_PLUGIN :
			printf("USB 0 plugin.\n");
			break;
		case STORAGE_UNPLUG :
			printf("USB 0 unplug.\n");
			break;
		case STORAGE_MOUNT :
			printf("USB 0 mount OK and free= %d\n", USBFree(0));
			break;
	}

	// check USB 1
	switch( CheckUSB(1)) 
	{
		case STORAGE_PLUGIN :
			printf("USB 1 plugin.\n");
			break;
		case STORAGE_UNPLUG :
			printf("USB 1 unplug.\n");
			break;
		case STORAGE_MOUNT :
			printf("USB 1 mount OK and free= %d\n", USBFree(0));
			break;
	}

	return 0;
}
